Package htsjdk.samtools

# Enum Class DuplicateScoringStrategy.ScoringStrategy

java.lang.Object
java.lang.Enum<DuplicateScoringStrategy.ScoringStrategy>
htsjdk.samtools.DuplicateScoringStrategy.ScoringStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<DuplicateScoringStrategy.ScoringStrategy>`, `Constable`

Enclosing class:
  `DuplicateScoringStrategy`

public static enum DuplicateScoringStrategy.ScoringStrategy extends Enum<DuplicateScoringStrategy.ScoringStrategy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RANDOM`
`SUM_OF_BASE_QUALITIES`
`TOTAL_MAPPED_REFERENCE_LENGTH`

## Method Summary

Modifier and Type
Method
Description
`static DuplicateScoringStrategy.ScoringStrategy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DuplicateScoringStrategy.ScoringStrategy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUM_OF_BASE_QUALITIES

public static final DuplicateScoringStrategy.ScoringStrategy SUM_OF_BASE_QUALITIES

### TOTAL_MAPPED_REFERENCE_LENGTH

public static final DuplicateScoringStrategy.ScoringStrategy TOTAL_MAPPED_REFERENCE_LENGTH

### RANDOM

public static final DuplicateScoringStrategy.ScoringStrategy RANDOM

## Method Details

### values

public static DuplicateScoringStrategy.ScoringStrategy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DuplicateScoringStrategy.ScoringStrategy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null